Bug 462187 - Kernel Failure on Fedora 10 Alpha
Kernel Failure on Fedora 10 Alpha
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2008-09-13 12:50 EDT by hadmanysons
Modified: 2008-10-23 13:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 13:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hadmanysons 2008-09-13 12:50:12 EDT
Description of problem:
I was trying to get my wireless card to work on Fedora 10 Alpha and I had a kernel failure and then NetworkManager dissapeared


Version-Release number of selected component (if applicable):
Fedora 10 Alpha

How reproducible:
Very

Steps to Reproduce:
1.su
2. b43-fwcutter -w /lib/firmware /path/to/driver/wl_apsta_mimo.o (successful)
3. rmmod b43 (successful)
4. modprobe b43 (successful? No errors at this point)
5. Then I clicked on my wireless network in NetworkManager and about 10 seconds later, kernel failure and no NetworkManager
  
Actual results:
Bad Things

Expected results:
Wireless happiness

Additional info:
Comment 1 Jon Stanley 2008-09-13 20:54:43 EDT
Is it possible to further describe the "kernel failure"?

One thing that you can do to capture the stacktrace of the kernel is to hook up a serial cable to another machine and boot with 'console=ttyS0' if that's a possibility (some of my machines lack serial ports...aaarrrggghhh)

Another thing that you can do is to take a digital picture of the screen and attach it to this bug.

If the kernel failure is a non-fatal oops, then it would be recorded in /var/log/messages
Comment 2 Jon Stanley 2008-09-14 11:53:29 EDT
Got a reply via private e-mail.  In the future, please make all comments in the bug, not via e-mail to the person requesting info.  There's a lockdep trace followed by an oops:

I notice that you don't have a current kernel on here, the current rawhide kernel as of yesterday is 2.6.27-0.323.rc6.fc10. Would it be possible to try to update it?

Sep 13 22:11:22 localhost kernel:<6>input: b43-phy1 as /devices/virtual/input/input10
Sep 13 22:11:22 localhost kernel:<6>firmware: requesting b43/ucode5.fw
Sep 13 22:11:22 localhost kernel:<6>firmware: requesting b43/pcm5.fw
Sep 13 22:11:22 localhost kernel:<6>firmware: requesting b43/b0g0initvals5.fw
Sep 13 22:11:22 localhost kernel:<6>firmware: requesting b43/b0g0bsinitvals5.fw
Sep 13 22:11:22 localhost kernel:<6>b43-phy1: Loading firmware version 410.2160 (2007-05-26 15:32:10)
Sep 13 22:11:22 localhost kernel:<6>Registered led device: b43-phy1::tx
Sep 13 22:11:22 localhost kernel:<6>Registered led device: b43-phy1::rx
Sep 13 22:11:22 localhost kernel:<6>Registered led device: b43-phy1::radio
Sep 13 22:11:22 localhost kernel:<4>
Sep 13 22:11:22 localhost kernel:<4>=============================================
Sep 13 22:11:22 localhost kernel:<4>[ INFO: possible recursive locking detected ]
Sep 13 22:11:22 localhost kernel:<4>2.6.27-0.166.rc0.git8.fc10.i686 #1
Sep 13 22:11:22 localhost kernel:<4>---------------------------------------------
Sep 13 22:11:22 localhost kernel:<4>NetworkManager/2629 is trying to acquire lock:
Sep 13 22:11:22 localhost kernel:<4> (&dev->addr_list_lock){-...}, at: [<c060b6b8>] dev_mc_sync+0x1c/0x59
Sep 13 22:11:22 localhost kernel:<4>
Sep 13 22:11:22 localhost kernel:<4>but task is already holding lock:
Sep 13 22:11:22 localhost kernel:<4> (&dev->addr_list_lock){-...}, at: [<c06075e6>] dev_set_rx_mode+0x19/0x2b
Sep 13 22:11:22 localhost kernel:<4>
Sep 13 22:11:22 localhost kernel:<4>other info that might help us debug this:
Sep 13 22:11:22 localhost kernel:<4>2 locks held by NetworkManager/2629:
Sep 13 22:11:22 localhost kernel:<4> #0:  (rtnl_mutex){--..}, at: [<c061079a>] rtnetlink_rcv+0x17/0x2b
Sep 13 22:11:22 localhost kernel:<4> #1:  (&dev->addr_list_lock){-...}, at: [<c06075e6>] dev_set_rx_mode+0x19/0x2b
Sep 13 22:11:22 localhost kernel:<4>
Sep 13 22:11:22 localhost kernel:<4>stack backtrace:
Sep 13 22:11:22 localhost kernel:<4>Pid: 2629, comm: NetworkManager Not tainted 2.6.27-0.166.rc0.git8.fc10.i686 #1
Sep 13 22:11:22 localhost kernel:<4> [<c044ae2b>] __lock_acquire+0x6b6/0x975
Sep 13 22:11:22 localhost kernel:<4> [<c0449482>] ? trace_hardirqs_off_caller+0x15/0x91
Sep 13 22:11:22 localhost kernel:<4> [<c044a08e>] ? mark_held_locks+0x4e/0x66
Sep 13 22:11:22 localhost kernel:<4> [<c044a210>] ? trace_hardirqs_on_caller+0xe3/0x11a
Sep 13 22:11:22 localhost kernel:<4> [<c044a252>] ? trace_hardirqs_on+0xb/0xd
Sep 13 22:11:22 localhost kernel:<4> [<c044b154>] lock_acquire+0x6a/0x90
Sep 13 22:11:22 localhost kernel:<4> [<c060b6b8>] ? dev_mc_sync+0x1c/0x59
Sep 13 22:11:22 localhost kernel:<4> [<c067b852>] _spin_lock_bh+0x26/0x53
Sep 13 22:11:22 localhost kernel:<4> [<c060b6b8>] ? dev_mc_sync+0x1c/0x59
Sep 13 22:11:22 localhost kernel:<4> [<c060b6b8>] dev_mc_sync+0x1c/0x59
Sep 13 22:11:22 localhost kernel:<4> [<eec2aaf5>] ieee80211_set_multicast_list+0xd9/0xe1 [mac80211]
Sep 13 22:11:22 localhost kernel:<4> [<c06073ff>] __dev_set_rx_mode+0x89/0x8c
Sep 13 22:11:22 localhost kernel:<4> [<c06075ed>] dev_set_rx_mode+0x20/0x2b
Sep 13 22:11:22 localhost kernel:<4> [<c060921e>] dev_open+0x96/0xb9
Sep 13 22:11:22 localhost kernel:<4> [<c0608c31>] dev_change_flags+0xa1/0x154
Sep 13 22:11:22 localhost kernel:<4> [<c060facc>] ? rtnl_setlink+0x0/0xdb
Sep 13 22:11:22 localhost kernel:<4> [<c060fa1a>] do_setlink+0x26b/0x31d
Sep 13 22:11:22 localhost kernel:<4> [<c067b640>] ? _read_unlock+0x22/0x25
Sep 13 22:11:22 localhost kernel:<4> [<c060facc>] ? rtnl_setlink+0x0/0xdb
Sep 13 22:11:22 localhost kernel:<4> [<c060fba3>] rtnl_setlink+0xd7/0xdb
Sep 13 22:11:22 localhost kernel:<4> [<c061094b>] rtnetlink_rcv_msg+0x19d/0x1b7
Sep 13 22:11:22 localhost kernel:<4> [<c06107ae>] ? rtnetlink_rcv_msg+0x0/0x1b7
Sep 13 22:11:22 localhost kernel:<4> [<c061e4a2>] netlink_rcv_skb+0x35/0x7b
Sep 13 22:11:22 localhost kernel:<4> [<c06107a6>] rtnetlink_rcv+0x23/0x2b
Sep 13 22:11:22 localhost kernel:<4> [<c061e09c>] netlink_unicast+0xf6/0x14c
Sep 13 22:11:22 localhost kernel:<4> [<c061e329>] netlink_sendmsg+0x237/0x244
Sep 13 22:11:22 localhost kernel:<4> [<c05fcf98>] __sock_sendmsg+0x4a/0x53
Sep 13 22:11:22 localhost kernel:<4> [<c05fd7a8>] sock_sendmsg+0xbd/0xd3
Sep 13 22:11:22 localhost kernel:<4> [<c043e016>] ? autoremove_wake_function+0x0/0x38
Sep 13 22:11:22 localhost kernel:<4> [<c043e016>] ? autoremove_wake_function+0x0/0x38
Sep 13 22:11:22 localhost kernel:<4> [<c0449482>] ? trace_hardirqs_off_caller+0x15/0x91
Sep 13 22:11:22 localhost kernel:<4> [<c0449509>] ? trace_hardirqs_off+0xb/0xd
Sep 13 22:11:22 localhost kernel:<4> [<c041dd7e>] ? need_resched+0x18/0x22
Sep 13 22:11:22 localhost kernel:<4> [<c051341b>] ? copy_from_user+0x3e/0x125
Sep 13 22:11:22 localhost kernel:<4> [<c0603fd2>] ? verify_iovec+0x45/0x73
Sep 13 22:11:22 localhost kernel:<4> [<c05fd902>] sys_sendmsg+0x144/0x197
Sep 13 22:11:22 localhost kernel:<4> [<c05fe391>] ? sys_recvmsg+0x11b/0x180
Sep 13 22:11:22 localhost kernel:<4> [<c04087b3>] ? sched_clock+0x8/0xb
Sep 13 22:11:22 localhost kernel:<4> [<c0448a92>] ? lock_release_holdtime+0x1a/0x115
Sep 13 22:11:22 localhost kernel:<4> [<c044a252>] ? trace_hardirqs_on+0xb/0xd
Sep 13 22:11:22 localhost kernel:<4> [<c044a226>] ? trace_hardirqs_on_caller+0xf9/0x11a
Sep 13 22:11:22 localhost kernel:<4> [<c044a252>] ? trace_hardirqs_on+0xb/0xd
Sep 13 22:11:22 localhost kernel:<4> [<c04245db>] ? hrtick_set+0x96/0xdf
Sep 13 22:11:22 localhost kernel:<4> [<c0679c58>] ? schedule+0x6fb/0x71a
Sep 13 22:11:22 localhost kernel:<4> [<c05fe8b3>] sys_socketcall+0x170/0x18d
Sep 13 22:11:22 localhost kernel:<4> [<c040a2fa>] ? syscall_trace_enter+0xa1/0xb5
Sep 13 22:11:22 localhost kernel:<4> [<c0403c0a>] syscall_call+0x7/0xb
Sep 13 22:11:22 localhost kernel:<4> [<c067007b>] ? agp_amd64_probe+0xd8/0x458
Sep 13 22:11:22 localhost kernel:<4> =======================
Sep 13 22:11:22 localhost kernel:<6>ADDRCONF(NETDEV_UP): wlan0: link is not ready
Sep 13 22:11:22 localhost NetworkManager: <info>  (wlan0): preparing device.
Sep 13 22:11:22 localhost NetworkManager: <info>  (wlan0): deactivating device.
Sep 13 22:11:22 localhost NetworkManager: <info>  (wlan0): device state change: 2 -> 3
Sep 13 22:11:22 localhost NetworkManager: <info>  (wlan0): supplicant interface state change: 1 -> 2.
Sep 13 22:11:23 localhost kernel:<4>------------[ cut here ]------------
Sep 13 22:11:23 localhost kernel:<4>WARNING: at net/core/dev.c:1330 __netif_schedule+0x2f/0xb3() (Not tainted)
Sep 13 22:11:23 localhost kernel:<4>Modules linked in: b43 bridge stp bnep rfcomm l2cap bluetooth fuse i915 drm rfkill_input sunrpc ipv6 dm_mirror dm_log arc4 ecb crypto_blkcipher rfkill mac80211 cfg80211 input_polldev snd_intel8x0 snd_intel8x0m snd_ac97_codec ac97_bus snd_seq_dummy pcspkr snd_seq_oss snd_seq_midi_event snd_seq video snd_seq_device output snd_pcm_oss 8139too yenta_socket ssb snd_mixer_oss 8139cp rsrc_nonstatic mii snd_pcm wmi battery snd_timer snd ac i2c_i801 soundcore joydev snd_page_alloc iTCO_wdt iTCO_vendor_support i2c_core ext3 jbd mbcache dm_snapshot dm_mod squashfs pata_acpi ata_generic ata_piix ehci_hcd uhci_hcd loop sr_mod cdrom [last unloaded: b43]
Sep 13 22:11:23 localhost kernel:<4>Pid: 3626, comm: b43 Not tainted 2.6.27-0.166.rc0.git8.fc10.i686 #1
Sep 13 22:11:23 localhost kernel:<4> [<c042c6dd>] warn_on_slowpath+0x4c/0x91
Sep 13 22:11:23 localhost kernel:<4> [<c044a143>] ? trace_hardirqs_on_caller+0x16/0x11a
Sep 13 22:11:23 localhost kernel:<4> [<c044a252>] ? trace_hardirqs_on+0xb/0xd
Sep 13 22:11:23 localhost kernel:<4> [<c046ea10>] ? ftrace_record_ip+0xa5/0x1c5
Sep 13 22:11:23 localhost kernel:<4> [<c044a143>] ? trace_hardirqs_on_caller+0x16/0x11a
Sep 13 22:11:23 localhost kernel:<4> [<c044a252>] ? trace_hardirqs_on+0xb/0xd
Sep 13 22:11:23 localhost kernel:<4> [<c060657b>] ? __netif_schedule+0x5/0xb3
Sep 13 22:11:23 localhost kernel:<4> [<c046eb17>] ? ftrace_record_ip+0x1ac/0x1c5
Sep 13 22:11:23 localhost kernel:<4> [<c046eb17>] ? ftrace_record_ip+0x1ac/0x1c5
Sep 13 22:11:23 localhost kernel:<4> [<c06065a5>] __netif_schedule+0x2f/0xb3
Sep 13 22:11:23 localhost kernel:<4> [<eec31be4>] ieee80211_scan_completed+0x228/0x279 [mac80211]
Sep 13 22:11:23 localhost kernel:<4> [<eec31ea5>] ieee80211_sta_scan_work+0x9a/0x182 [mac80211]
Sep 13 22:11:23 localhost kernel:<4> [<c043acda>] run_workqueue+0xd7/0x1a5
Sep 13 22:11:23 localhost kernel:<4> [<c043ac99>] ? run_workqueue+0x96/0x1a5
Sep 13 22:11:23 localhost kernel:<4> [<eec31e0b>] ? ieee80211_sta_scan_work+0x0/0x182 [mac80211]
Sep 13 22:11:23 localhost kernel:<4> [<c043ae79>] worker_thread+0xd1/0xdd
Sep 13 22:11:23 localhost kernel:<4> [<c043e016>] ? autoremove_wake_function+0x0/0x38
Sep 13 22:11:23 localhost kernel:<4> [<c043ada8>] ? worker_thread+0x0/0xdd
Sep 13 22:11:23 localhost kernel:<4> [<c043dd76>] kthread+0x40/0x66
Sep 13 22:11:23 localhost kernel:<4> [<c043dd36>] ? kthread+0x0/0x66
Sep 13 22:11:23 localhost kernel:<4> [<c04048a3>] kernel_thread_helper+0x7/0x10
Sep 13 22:11:23 localhost kernel:<4> =======================
Sep 13 22:11:23 localhost kernel:<4>---[ end trace b0826baad439c51f ]---
Sep 13 22:11:32 localhost kernel:<6>nm-applet[3295]: segfault at 8 ip 08061cb7 sp bfce96b0 error 4 in nm-applet[8048000+42000]
Sep 13 22:11:32 localhost NetworkManager: <WARN>  connection_get_settings_cb(): Couldn't retrieve connection settings: Message did not receive a reply (timeout by message bus).
Sep 13 22:11:45 localhost kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
Comment 3 hadmanysons 2008-09-15 10:11:11 EDT
I will try the new kernel. I downloaded the non-KDE live media from fedoraproject.org, which one of those download links has the latest kernel?
Comment 4 John W. Linville 2008-10-23 13:35:16 EDT
I'm presuming that this problem is gone with current rawhide kernels -- please reopen if that is not true.

Note You need to log in before you can comment on or make changes to this bug.